com.fasterxml.jackson.databind.type

## Class MapType

- java.lang.Object
- - com.fasterxml.jackson.core.type.ResolvedType
  - - com.fasterxml.jackson.databind.JavaType
    - - com.fasterxml.jackson.databind.type.TypeBase
      - - com.fasterxml.jackson.databind.type.MapLikeType
        - - com.fasterxml.jackson.databind.type.MapType

- All Implemented Interfaces:
    JsonSerializable, Serializable, Type

      public final class MapType
      extends MapLikeType

  Type that represents "true" Java Map types.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.type.MapLikeType

      `_keyType, _valueType`

    - ### Fields inherited from class com.fasterxml.jackson.databind.JavaType

      `_asStatic, _class, _hash, _typeHandler, _valueHandler`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected JavaType` | `_narrow(Class<?> subclass)`
    `static MapType` | `construct(Class<?> rawType, JavaType keyT, JavaType valueT)`
    `Class<?>` | `getParameterSource()`
    `JavaType` | `narrowContentsBy(Class<?> contentClass)`
    `JavaType` | `narrowKey(Class<?> keySubclass)`
    `String` | `toString()`
    `JavaType` | `widenContentsBy(Class<?> contentClass)`
    `JavaType` | `widenKey(Class<?> keySubclass)`
    `MapType` | `withContentTypeHandler(Object h)` "Copy method" that will construct a new instance that is identical to this instance, except that its content type will have specified type handler assigned.
    `MapType` | `withContentValueHandler(Object h)` "Copy method" that will construct a new instance that is identical to this instance, except that it will have specified content value handler assigned.
    `MapType` | `withKeyTypeHandler(Object h)`
    `MapType` | `withKeyValueHandler(Object h)`
    `MapType` | `withStaticTyping()` Method that can be called to get a type instance that indicates that values of the type should be handled using "static typing" for purposes of serialization (as opposed to "dynamic" aka runtime typing): meaning that no runtime information is needed for determining serializers to use.
    `MapType` | `withTypeHandler(Object h)` "Copy method" that will construct a new instance that is identical to this instance, except that it will have specified type handler assigned.
    `MapType` | `withValueHandler(Object h)` "Copy method" that will construct a new instance that is identical to this instance, except that it will have specified value handler assigned.

    - ### Methods inherited from class com.fasterxml.jackson.databind.type.MapLikeType

      `buildCanonicalName, containedType, containedTypeCount, containedTypeName, equals, getContentType, getErasedSignature, getGenericSignature, getKeyType, isContainerType, isMapLikeType, isTrueMapType`

    - ### Methods inherited from class com.fasterxml.jackson.databind.type.TypeBase

      `_classSignature, getTypeHandler, getValueHandler, serialize, serializeWithType, toCanonical`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JavaType

      `_assertSubclass, _widen, containedTypeOrUnknown, forcedNarrowBy, getErasedSignature, getGenericSignature, getRawClass, hasGenericTypes, hashCode, hasRawClass, isAbstract, isArrayType, isCollectionLikeType, isConcrete, isEnumType, isFinal, isInterface, isPrimitive, isThrowable, narrowBy, useStaticType, widenBy`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### construct

          public static MapType construct(Class<?> rawType,
                          JavaType keyT,
                          JavaType valueT)

    - #### _narrow

          protected JavaType _narrow(Class<?> subclass)

      Overrides:
        `_narrow` in class `MapLikeType`

    - #### narrowContentsBy

          public JavaType narrowContentsBy(Class<?> contentClass)

      Overrides:
        `narrowContentsBy` in class `MapLikeType`

    - #### widenContentsBy

          public JavaType widenContentsBy(Class<?> contentClass)

      Overrides:
        `widenContentsBy` in class `MapLikeType`

    - #### narrowKey

          public JavaType narrowKey(Class<?> keySubclass)

      Overrides:
        `narrowKey` in class `MapLikeType`

    - #### widenKey

          public JavaType widenKey(Class<?> keySubclass)

      Overrides:
        `widenKey` in class `MapLikeType`

    - #### withTypeHandler

          public MapType withTypeHandler(Object h)

      Description copied from class: `JavaType`
      "Copy method" that will construct a new instance that is identical to this instance, except that it will have specified type handler assigned.
      Overrides:
        `withTypeHandler` in class `MapLikeType`
      Returns:
        Newly created type instance

    - #### withContentTypeHandler

          public MapType withContentTypeHandler(Object h)

      Description copied from class: `JavaType`
      "Copy method" that will construct a new instance that is identical to this instance, except that its content type will have specified type handler assigned.
      Overrides:
        `withContentTypeHandler` in class `MapLikeType`
      Returns:
        Newly created type instance

    - #### withValueHandler

          public MapType withValueHandler(Object h)

      Description copied from class: `JavaType`
      "Copy method" that will construct a new instance that is identical to this instance, except that it will have specified value handler assigned.
      Overrides:
        `withValueHandler` in class `MapLikeType`
      Returns:
        Newly created type instance

    - #### withContentValueHandler

          public MapType withContentValueHandler(Object h)

      Description copied from class: `JavaType`
      "Copy method" that will construct a new instance that is identical to this instance, except that it will have specified content value handler assigned.
      Overrides:
        `withContentValueHandler` in class `MapLikeType`
      Returns:
        Newly created type instance

    - #### withStaticTyping

          public MapType withStaticTyping()

      Description copied from class: `JavaType`
      Method that can be called to get a type instance that indicates that values of the type should be handled using "static typing" for purposes of serialization (as opposed to "dynamic" aka runtime typing): meaning that no runtime information is needed for determining serializers to use. The main use case is to allow forcing of specific root value serialization type, and specifically in resolving serializers for contained types (element types for arrays, Collections and Maps).
      Overrides:
        `withStaticTyping` in class `MapLikeType`

    - #### getParameterSource

          public Class<?> getParameterSource()

      Overrides:
        `getParameterSource` in class `MapLikeType`

    - #### withKeyTypeHandler

          public MapType withKeyTypeHandler(Object h)

      Overrides:
        `withKeyTypeHandler` in class `MapLikeType`

    - #### withKeyValueHandler

          public MapType withKeyValueHandler(Object h)

      Overrides:
        `withKeyValueHandler` in class `MapLikeType`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `MapLikeType`

Copyright © 2014-2015 FasterXML. All Rights Reserved.